Rake gems:install fails

Hi,

With rails 2.1.0 on WinXP, I added this line in config.environment.rb:

config.gem “rubyist-aasm”, :lib => “aasm”, :source =>
http://gems.github.com

Doing a rake gems:install with MRI ruby 1.8.6 correctly installs
rubyist-aasm gem and I can use it by doing a require ‘aasm’.

With JRuby 1.1.3 (rubygems 1.2.0) I do a jruby -S rake gems:install and
I
got this message:

gem install rubyist-aasm --source http://gems.github.com
ERROR: While executing gem … (Errno::EACCES)
Permission denied -
c:/opt/ruby/lib/ruby/gems/1.8/gems/rubyist-aasm-2.0.2/CHANGELOG

That path points to MRI ruby! My JRUBY_HOME environment variable is OK
though (it points to c:/opt/jruby-1.1.3 on my config).
So is JRuby wrongly spawning the gem command located in MRI? How to fix
that?

View this message in context:
http://www.nabble.com/rake-gems%3Ainstall-fails-tp18867603p18867603.html
Sent from the JRuby - User mailing list archive at Nabble.com.


To unsubscribe from this list, please visit:

http://xircles.codehaus.org/manage_email

Hi,

Maybe the first ‘gem’ executable in your PATH is being used (which is
most probably ‘gem’ from MRI), try to move your %JRUBY_HOME%/bin to be
the first path in the %PATH%.

Thanks,
–Vladimir

On Thu, Aug 7, 2008 at 12:23 PM, jplab [email protected] wrote:

So is JRuby wrongly spawning the gem command located in MRI? How to fix


To unsubscribe from this list, please visit:

http://xircles.codehaus.org/manage_email

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs